SH64_SETUP_TLB_SLOT(9)

NAME
sh64_setup_tlb_slot - Load up a translation in a wired slot.

SYNOPSIS

void sh64_setup_tlb_slot(unsigned long long config_addr, unsigned long eaddr, unsigned long asid, unsigned long paddr);

ARGUMENTS

config_addr
    Address of TLB slot.

eaddr
    Virtual address.

asid
    Address Space Identifier.

paddr
    Physical address.

DESCRIPTION

Load up a virtual<->physical translation for eaddr<->paddr in the pre-allocated TLB slot config_addr (see sh64_get_wired_dtlb_entry).

AUTHOR

Paul Mundt <lethal@linux-sh.org>
    Author.

COPYRIGHT